Skip to main content
`Ctrl`+`K`

# TaoLineSearchIsUsingTaoRoutines

Checks whether the line search is using the standard `Tao` evaluation routines.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchIsUsingTaoRoutines(TaoLineSearch ls, PetscBool *flg)

Not Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## Output Parameter

- flg - `PETSC_TRUE` if the line search is using `Tao` evaluation routines, otherwise `PETSC_FALSE`

## See Also

`TaoLineSearch`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages